Subject: bug#52872: 13.0.15; wrong type argument error on calling ‘LaTeX-xparse-macro-parse’

From: Andrea Greselin <[email-masked]>
Date: Thu, 30 Dec 2021 08:41:44 +0100

> The only other source of trouble which remains is an old parsed info
> file which AUCTeX loads. I can imagine in that file, thers is an entry
> with `LaTeX-add-xparse-macros' which has outdated signature. Can you
> please check that as well? You should see that also in the Message
> buffer, an entry like this:
>
>     Loading /path/to/auto/name-of-your-tex-file.el (source)...done

It was the automatically generated files from my personal LaTeX
packages that were causing the issue. I had tried deleting the
documents’ ‘auto’ directory before but I forgot about the ones in my
personal texmf tree. Now I’ve re-generated them and everything works
alright.

> Save the code above as a .tex file, open it and hit `C-c C-n' twice (to
> be sure).  Then eval the (insert ...) form and you'll see that the
> entries retured have four elements.

Yes, it inserts

  (("\\NewDocumentCommand \\bar { > { \\SplitArgument { 2 } { ; } } m }"
    "bar"
    " > { \\SplitArgument { 2 } { ; } } m "
    "New")
   ("\\NewDocumentCommand \\foo { > { \\ReverseBoolean } s m }"
    "foo"
    " > { \\ReverseBoolean } s m "
    "New"))

Sorry for wasting your time guys :(

Have a happy new year :-)